jls.loader.provide('spyl.pb.Context');

spyl.pb.Context = jls.lang.Class.create({
    initialize: function(viewName, group, mediaIndex) {
        this.viewName = viewName;
        this.group = group;
        this.mediaIndex = mediaIndex;
    },
    createView: function(viewName) {
        return new spyl.pb.Context(viewName, this.group, this.mediaIndex);
    },
    createMedia: function(delta) {
        var max = this.group.getMediaCount();
        var index = Math.abs(this.mediaIndex + delta + max) % max;
        return new spyl.pb.Context('media', this.group, index);
    },
    getMedia: function() {
        return this.group.getMedia(this.mediaIndex);
    }
});

