jls.loader.provide('spyl.pb.Icon');

jls.loader.require('jls.html.HtmlElement');

spyl.pb.Icon = jls.lang.Class.create(jls.html.HtmlElement,
{
    initialize : function($super, parameters, parent) {
        this._img = null;
        $super(parameters, parent);
    },
    onCreate : function($super) {
        this.setAttribute('htmlTagName', 'div');
        $super();
        this.setAttribute('class', 'icon');
        this._img = document.createElement('img');
        this.getHtmlElement().appendChild(this._img);
    },
    setIconSrc : function(value) {
        this._img.setAttribute('src', value);
    },
    setIconTitle : function(value) {
        this._img.setAttribute('title', this.getResourceLabel(value));
    }
});

