jls.loader.provide('spyl.pb.PreviewElement');

jls.loader.require('jls.html.HtmlElement');

spyl.pb.PreviewElement = jls.lang.Class.create(jls.html.HtmlElement,
{
    initialize : function($super, parameters, parent) {
        jls.logger.trace('PreviewElement.constructor()');
        parameters = parameters || {};
        this._group = 'group' in parameters ? parameters.group : null;
        this._index = 'index' in parameters ? parameters.index : -1;
        this._media = 'media' in parameters ? parameters.media : this._group.getMedia(this._index);
        $super(parameters, parent);
    },
    onCreateHtmlElement : function() {
        var htmlElement = document.createElement('img');
        htmlElement.setAttribute('src', this._media.getMiniaturePathname());
        htmlElement.setAttribute('title', this._media.getTitle());
        return htmlElement;
    },
    getMedia : function() {
        return this._media;
    },
    getIndex : function() {
        return this._index;
    },
    getGroup : function() {
        return this._group;
    }
});

